Package org.apache.wiki.plugin

# Class CurrentTimePlugin

java.lang.Object
org.apache.wiki.plugin.CurrentTimePlugin

All Implemented Interfaces:
  `Plugin`

public class CurrentTimePlugin extends Object implements Plugin
Just displays the current date and time. The time format is exactly like in the java.text.SimpleDateFormat class.

Parameters :

NONE

Since:
  1.7.8
See Also:
  - `SimpleDateFormat`

## Field Summary

### Fields inherited from interface org.apache.wiki.api.plugin.Plugin

`CORE_PLUGINS_RESOURCEBUNDLE`

## Constructor Summary

Constructors
Constructor
Description
`CurrentTimePlugin()`

## Method Summary

Modifier and Type
Method
Description
`String`
`execute(Context context, Map<String,String> params)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CurrentTimePlugin

public CurrentTimePlugin()

## Method Details

### execute

public String execute(Context context, Map<String,String> params) throws PluginException

Specified by:
  `execute` in interface `Plugin`
Throws:
  `PluginException`